use aggregator::{self, NewsArticle, Summary};

fn main() {
    // ANCHOR: here
    let article = NewsArticle {
        headline: String::from("Drużyna Penguins wygrała Puchar Stanleya!"),
        location: String::from("Pittsburgh, PA, USA"),
        author: String::from("Iceburgh"),
        content: String::from(
            "Pittsburgh Penguins po raz kolejny są najlepszą \
             drużyną hokejową w NHL.",
        ),
    };

    println!("Dostępny jest nowy artykuł! {}", article.summarize());
    // ANCHOR_END: here
}
